/*
  Copyright 1996-2003
  Simon Whiteside

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Lesser General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this library; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


  $Id: NodeTypes.java,v 1.14 2003/05/02 12:20:18 simkin_cvs Exp $
*/
package simkin;	

interface NodeTypes {
    static final int s_Params=0;
    static final int s_StatList=1;
    static final int s_if=2;
    static final int s_while=3;
    static final int s_return=4;
    static final int s_Assign=5;
    static final int s_Method=6;
    static final int s_Args=7;
    static final int s_Null=8;
    static final int s_or=9;
    static final int s_and=10;
    static final int s_Equals=11;
    static final int s_Less=12;
    static final int s_More=13;
    static final int s_Concat=14;
    static final int s_Plus=15;
    static final int s_Subtract=16;
    static final int s_Mult=17;
    static final int s_Divide=18;
    static final int s_Mod=19;
    static final int s_Minus=20;
    static final int s_not=21;
    static final int s_Field=22;
    static final int s_Id=23;
    static final int s_Integer=24;
    static final int s_Float=25;
    static final int s_String=26;
    static final int s_Attrib=27;
    static final int s_MethodDefn=28;
    static final int s_IdList=29;
    static final int s_ExprList=30;
    static final int s_MethodExpr=31;
    static final int s_Character=32;
    static final int s_case=33;
    static final int s_default=34;
    static final int s_switch=35;
    static final int s_caselist=36;
    static final int s_NotEquals=37;
    static final int s_ForEach=38;
    static final int s_LessEqual=39;
    static final int s_MoreEqual=40;
    static final int s_For=41;
    //#ifndef midp
    static final String[] g_NodeNames={"Params","StatList","if","while","return","Assign","Method","Args","Null","or","and","Equals","Less","More","Concat","Plus","Subtract","Mult","Divide","Mod","Minus","not","Field","Id","Integer","Float","String","Attribute","MethodDefn","IdList","ExprList","MethodExpr","Character","Case","DefaultCase","switch","CaseList","Not Equals","For Each","Less Equal","More Equal","For"};
    //#endif
    static final String s_Self="self";
    static final String s_True="true";
    static final String s_False="false";
    static final String s_null="null";
}
